## git-review 1.25.0

=== requirements.txt ===
argparse
requests>=1.1

## git-review 1.12

=== debian/changelog ===
git-review (1.12-1) unstable; urgency=low

  * Initial Debian Packaging

 -- Ghe Rivero <ghe.rivero@stackops.com>  Thu, 01 Mar 2012 09:30:36 +0100

=== debian/control ===
Source: git-review
Section: python
Priority: extra
Maintainer: Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 8.0.0), python, python-setuptools
Standards-Version: 3.9.3
Homepage: https://github.com/openstack-ci/git-review
Vcs-Git: http://review.managedit.ie/openstack/packaging/git-review.git
Vcs-Browser: http://review.managedit.ie/gitweb?p=openstack/packaging/git-review.git;a=summary

Package: git-review
Architecture: all
Depends: git, python, python-argparse, ${python:Depends}, ${misc:Depends}
Description: git command for submitting branches to Gerrit
 git-review is a tool that helps submitting git branches to gerrit for review.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")

%:
	dh $@ ${WITH_PYTHON2}

override_dh_auto_build:
	rm requirements.txt
	dh_auto_build

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/git-review/git-review-(.+).tar.gz

## git-review 1.17

=== debian/changelog ===
git-review (1.17-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Sat, 30 Jun 2012 09:57:59 +0200

git-review (1.16-1) unstable; urgency=low

  * New upstream release
  * Updated section to "vcs". Closes: #668070
  * Removed Vcs-* field from control. Closes: #668441

 -- Ghe Rivero <ghe@debian.org>  Thu, 12 Apr 2012 11:52:11 +0200

git-review (1.15-1) unstable; urgency=low

  * New upstream release

 -- Ghe Rivero <ghe.rivero@stackops.com>  Fri, 23 Mar 2012 08:28:39 +0100

=== debian/control ===
Source: git-review
Section: vcs
Priority: extra
Maintainer: Ghe Rivero <ghe.rivero@stackops.com>
Build-Depends: debhelper (>= 8.0.0), python, python-setuptools
Standards-Version: 3.9.3
Homepage: https://github.com/openstack-ci/git-review

Package: git-review
Architecture: all
Depends: git, python, python-argparse, ${python:Depends}, ${misc:Depends}
Description: git command for submitting branches to Gerrit
 git-review is a tool that helps submitting git branches to gerrit for review.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,3 @@
 
 %:
 	dh $@ ${WITH_PYTHON2}
-
-override_dh_auto_build:
-	rm requirements.txt
-	dh_auto_build

## git-review 1.21

=== debian/changelog ===
git-review (1.21-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Clint Byrum <clint@ubuntu.com>  Tue, 09 Apr 2013 18:26:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: git-review
 Section: vcs
 Priority: extra
-Maintainer: Ghe Rivero <ghe.rivero@stackops.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ghe Rivero <ghe.rivero@stackops.com>
 Build-Depends: debhelper (>= 8.0.0), python, python-setuptools
 Standards-Version: 3.9.3
 Homepage: https://github.com/openstack-ci/git-review

## git-review 1.23

=== debian/changelog ===
git-review (1.23-1) unstable; urgency=low

  * New upstream release.
  * Upstream renamed README.md into README.rst, updated debian/docs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Aug 2013 19:55:36 +0200

git-review (1.21-4) unstable; urgency=low

  * Fixed debian/copyright and debian/control source and homepage URL. Thanks
    to Laurent Bigonville for reporting (Closes: #700394).
  * Added myself as uploader.
  * Now depends on openstack-pkg-tools to have the debian/rules facility for
    generating the orig.tar.xz.
  * Ran wrap-and-sort.
  * Rearanged a bit debian/copyright.
  * Now using compat and debhelper 9.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 May 2013 11:17:49 +0800

git-review (1.21-3) unstable; urgency=low

  * Bumped debian policy verstion to 3.9.4

 -- Ghe Rivero <ghe@debian.org>  Mon, 13 May 2013 10:24:16 +0200

git-review (1.21-2) experimental; urgency=low

  * Updated debian/control file

 -- Ghe Rivero <ghe@debian.org>  Wed, 10 Apr 2013 03:24:49 -0400

git-review (1.21-1) unstable; urgency=low

  * New upstream release.
  * Added gbp.conf
  * Updated maintainer mail

 -- Ghe Rivero <ghe@debian.org>  Tue, 09 Apr 2013 10:52:23 -0400

=== debian/control ===
Source: git-review
Section: vcs
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ghe Rivero <ghe@debian.org>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9), openstack-pkg-tools, python, python-setuptools
Standards-Version: 3.9.4
Homepage: https://github.com/openstack-infra/git-review
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/git-review.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/git-review.git

Package: git-review
Architecture: all
Depends: git, python, python-argparse, ${misc:Depends}, ${python:Depends}
Description: git command for submitting branches to Gerrit
 git-review is a tool that helps submitting git branches to gerrit for review.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack-infra/git-review.git

include /usr/share/openstack-pkg-tools/pkgos.make

WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")

%:
	dh $@ ${WITH_PYTHON2}

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/git-review/git-review-(.+).tar.gz debian uupdate

## git-review 1.24

=== debian/changelog ===
git-review (1.24-2) unstable; urgency=medium

  * Now packaging the man page (Closes: #771049).

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Nov 2014 01:32:02 +0800

git-review (1.24-1) unstable; urgency=medium

  * New upstream release.
  * Removed all patches, they are all applied upstream now.
  * Build-depends on python-all, not just python.
  * Avoid usless dh targets.
  * Added missing export OSLO_PACKAGE_VERSION=$(VERSION)
  * build-depends on python-pbr.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Aug 2014 14:16:49 +0800

git-review (1.23-2) unstable; urgency=medium

  * Added Retrieve-remote-pushurl-independently-of-user-s-local.patch. Thanks
    to Matteo Cypriani <mcy@lm7.fr> for the report (Closes: #751127).
  * Fixed format 1.0 URL for debian/copyright.
  * Added fix for man page (which I made upstream).
  * Standards-Version: is now 3.9.5.
  * More text for the extended description.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Jun 2014 11:06:44 +0800

=== debian/control ===
Source: git-review
Section: vcs
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Ghe Rivero <ghe@debian.org>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 0.6),
               python-setuptools
Standards-Version: 3.9.5
Homepage: https://github.com/openstack-infra/git-review
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/git-review.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/git-review.git

Package: git-review
Architecture: all
Depends: git, python, python-argparse, ${misc:Depends}, ${python:Depends}
Description: git command for submitting branches to Gerrit
 git-review is a tool that helps submitting git branches to gerrit for review.
 It is used extensively for the development and maintenance of OpenStack, but
 it can be used for any project using Gerrit.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack-infra/git-review.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

WITH_PYTHON2 = $(shell test -f /usr/bin/dh_python2 && echo "--with python2")

%:
	dh $@ ${WITH_PYTHON2}

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## git-review 1.25.0

=== debian/changelog ===
git-review (1.25.0-2) unstable; urgency=medium

  * Re-added missing in debian/rules:
    - export OSLO_PACKAGE_VERSION=$(VERSION) (needed for pbr version to work)
    - depends on openstack-pkg-tools to have this working.
  * Ran wrap-and-sort -t -a.
  * Removed not-needed version in depends (already in Jessie). Also removed
    python-argparse as depends, and added it it pydist-overrides.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" to d/source/options.

 -- Thomas Goirand <zigo@debian.org>  Sat, 13 Jun 2015 10:07:38 +0200

git-review (1.25.0-1) unstable; urgency=medium

  * New upstream version.
  * Modernize packaging.

 -- Clint Adams <clint@debian.org>  Fri, 12 Jun 2015 23:27:02 -0400

=== debian/control ===
Source: git-review
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Section: vcs
Priority: extra
Uploaders: Ghe Rivero <ghe@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Clint Adams <clint@debian.org>,
Build-Depends-Indep: debhelper (>= 9),
                     dh-python,
                     openstack-pkg-tools,
                     python-all,
                     python-pbr,
                     python-setuptools,
Standards-Version: 3.9.6
Homepage: http://docs.openstack.org/infra/git-review/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/git-review.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/git-review.git

Package: git-review
Architecture: all
Depends: git,
         ${misc:Depends},
         ${python:Depends},
Description: git command for submitting branches to Gerrit
 git-review is a tool that helps submitting git branches to gerrit for review.
 It is used extensively for the development and maintenance of OpenStack, but
 it can be used for any project using Gerrit.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack-infra/git-review.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

export PYBUILD_NAME=git-review
%:
	dh $@ --with python2 --buildsystem=pybuild

# skip tests since they require a local gerrit
override_dh_auto_test:

=== debian/watch ===
version=3
http://pypi.debian.net/git-review/git-review-(.*).tar.gz debian uupdate

## git-review 1.26.0

=== debian/changelog ===
git-review (1.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #887862, #887436)
  * d/watch: Use https
  * Bump debhelper compat level to 11
  * d/copyright: Use https for Format
  * Change priority from extra to optional
  * Standards-Version is 4.1.3 now
  * Add simple autopkgtests
  * Switch to Python 3
  * d/clean: Don't clean .egg_info
  * d/copyright
    - Add myself for Debian part
    - Add new copyright holders from new upstream release
  * wrap-and-sort -bast

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 14:12:54 +0100

git-review (1.25.0-3) unstable; urgency=medium

  * Change maintainer, no longer under OpenStack PKG team.
  * Remove git-buildpackage configuration for old OpenStack packaging
    workflow.
  * Remove build dependency on openstack-pkg-tools.
  * Clean up .egg-info as in DPMT policy.

 -- Allison Randal <allison@lohutok.net>  Sat, 05 Aug 2017 15:14:39 -0400

=== debian/control ===
Source: git-review
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: vcs
Priority: optional
Uploaders:
 Ghe Rivero <ghe@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Clint Adams <clint@debian.org>,
 Allison Randal <allison@lohutok.net>,
Build-Depends-Indep:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.1.3
Homepage: http://docs.openstack.org/infra/git-review/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/git-review.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/git-review.git

Package: git-review
Architecture: all
Depends:
 git,
 ${misc:Depends},
 ${python3:Depends},
Description: git command for submitting branches to Gerrit
 git-review is a tool that helps submitting git branches to gerrit for review.
 It is used extensively for the development and maintenance of OpenStack, but
 it can be used for any project using Gerrit.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=git-review

%:
	dh $@ --with python3 --buildsystem=pybuild

# skip tests since they require a local gerrit
override_dh_auto_test:

=== debian/watch ===
version=3
https://pypi.debian.net/git-review/git-review-(.*).tar.gz debian uupdate

## git-review 1.27.0

=== debian/changelog ===
git-review (1.27.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release (Closes: #910101).
  * Re-add openstack-pkg-tools, and switch back to Git tag workflow.
  * Remove Allison Randal from uploaders, as she did absolutely nothing on this
    package but set herself as Uploaders, she has let the package bitrot and
    become outdated, gather bugs, etc.
  * Remove Ghe Rivero as he didn't touch the package since 2013.
  * Switch back the package to the OpenStack team, as nobody else is working on
    it, unfortunately (so, fixed VCS URLs).
  * Bump Standards-Version to 4.3.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Jan 2019 10:04:13 +0100

=== debian/control ===
Source: git-review
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Section: vcs
Priority: optional
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Clint Adams <clint@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.3.0
Homepage: http://docs.openstack.org/infra/git-review/
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/git-review.git
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/git-review

Package: git-review
Architecture: all
Depends:
 git,
 ${misc:Depends},
 ${python3:Depends},
Description: git command for submitting branches to Gerrit
 git-review is a tool that helps submitting git branches to gerrit for review.
 It is used extensively for the development and maintenance of OpenStack, but
 it can be used for any project using Gerrit.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+UPSTREAM_GIT = git://github.com/openstack-infra/git-review.git
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 export PYBUILD_NAME=git-review

## git-review 1.28.0

=== requirements.txt ===
requests>=1.1
six

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7 # BSD
openstackdocstheme>=1.11.0 # Apache-2.0
reno>=2.8.0 # Apache-2.0

=== debian/changelog ===
git-review (1.28.0-2) unstable; urgency=medium

  * Fix debian/watch to use git tags on opendev.org using the git mode.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Nov 2020 10:54:11 +0100

git-review (1.28.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Added Restrictions: superficial to d/tests/control (Closes: #969830).
  * Fixed upstream URL in d/control, d/copyright and d/rules.
  * New upstream release.
  * Fixed (build-)depends and run unit tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Sep 2020 21:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,23 @@
  Thomas Goirand <zigo@debian.org>,
  Clint Adams <clint@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
-Standards-Version: 4.3.0
-Homepage: http://docs.openstack.org/infra/git-review/
+Build-Depends-Indep:
+ git,
+ python3-fixtures,
+ python3-hacking,
+ python3-mock,
+ python3-requests,
+ python3-six,
+ python3-stestr (>= 2.2.0),
+ python3-testtools,
+Standards-Version: 4.4.1
+Homepage: https://opendev.org/opendev/git-review
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/git-review.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/git-review
 
@@ -21,6 +30,8 @@
 Architecture: all
 Depends:
  git,
+ python3-requests,
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: git command for submitting branches to Gerrit

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://opendev.org/opendev/git-review
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=git-review

%:
	dh $@ --with python3 --buildsystem=pybuild

# We only run unit tests here...
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 'git_review\.tests\.test_unit\.(?!(.*GitReviewUnitTest\.test_track.*))'

=== debian/watch ===
version=3
opts="mode=git ,uversionmangle=s/\.0rc/~rc/;s/\.0a/~a/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://opendev.org/opendev/git-review refs/tags/(\d[abrc\d\.]+)

## git-review 2.2.0

=== debian/changelog ===
git-review (2.2.0-1) unstable; urgency=medium

  * New upstream release:
    - works with newer Git releases (Closes: #1000666).
  * Blacklist GitReviewUnitTest.test_notify().

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Nov 2021 23:29:26 +0100

## git-review 2.3.1

=== debian/changelog ===
git-review (2.3.1-3) unstable; urgency=medium

  * Removed extraneous dependency on python3-six & python3-mock
    (Closes: #1061163).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jan 2024 09:16:15 +0100

git-review (2.3.1-2) unstable; urgency=medium

  * Add fix-unit-test-for-python-3.12.patch (Closes: #1058247).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Dec 2023 15:51:35 +0100

git-review (2.3.1-1) unstable; urgency=medium

  * New upstream release:
    - works with OpenSSH 9.X (Closes: #1012808).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2022 17:19:10 +0200

## git-review 2.4.0

=== requirements.txt ===
requests>=1.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/git-review.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/git-review.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/git-review"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/git-review"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7 # BSD
reno>=2.8.0 # Apache-2.0

=== debian/changelog ===
git-review (2.4.0-1) unstable; urgency=medium

  * New upstream release:
    - Do not use pkg_resources (Closes: #1098369).
    - Drop fix-unit-test-for-python-3.12.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Feb 2025 15:21:17 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,7 @@
  git,
  python3-fixtures,
  python3-hacking,
- python3-mock,
  python3-requests,
- python3-six,
  python3-stestr (>= 2.2.0),
  python3-testtools,
 Standards-Version: 4.4.1
@@ -31,7 +29,6 @@
 Depends:
  git,
  python3-requests,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: git command for submitting branches to Gerrit

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 
 # We only run unit tests here...
 override_dh_auto_test:
-	pkgos-dh_auto_test --no-py2 'git_review\.tests\.test_unit\.(?!(.*GitReviewUnitTest\.test_track.*))'
+	pkgos-dh_auto_test --no-py2 'git_review\.tests\.test_unit\.(?!(.*GitReviewUnitTest\.test_track.*|.*GitReviewUnitTest\.test_notify.*))'

=== debian/tests/control ===
Restrictions: superficial
Depends:
 @,
Test-Command: git review -h
